--- //depot/vendor/freebsd/src/sys/dev/cp/if_cp.c	2005/07/09 16:15:27
+++ //depot/projects/netsmp/src/sys/dev/cp/if_cp.c	2005/08/05 14:11:40
@@ -714,7 +714,7 @@
 	bdrv_t *bd = d->board->sys;
 	int error, s, was_up, should_be_up;
 
-	was_up = (ifp->if_flags & IFF_RUNNING) != 0;
+	was_up = (ifp->if_drv_flags & IFF_DRV_RUNNING) != 0;
 	error = sppp_ioctl (ifp, cmd, data);
 
 	if (error)
@@ -736,7 +736,7 @@
 	/* We get here only in case of SIFFLAGS or SIFADDR. */
 	s = splimp ();
 	CP_LOCK (bd);
-	should_be_up = (ifp->if_flags & IFF_RUNNING) != 0;
+	should_be_up = (ifp->if_drv_flags & IFF_DRV_RUNNING) != 0;
 	if (! was_up && should_be_up) {
 		/* Interface goes up -- start it. */
 		cp_up (d);
@@ -844,7 +844,7 @@
 #endif
 	}
 #ifndef NETGRAPH
-	d->ifp->if_flags |= IFF_OACTIVE;
+	d->ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 #endif
 }
 
@@ -896,7 +896,7 @@
 	d->timeout = 0;
 #else
 	++d->ifp->if_opackets;
-	d->ifp->if_flags &= ~IFF_OACTIVE;
+	d->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	d->ifp->if_timer = 0;
 #endif
 	cp_start (d);
@@ -973,7 +973,7 @@
 		d->timeout = 0;
 #else
 		++d->ifp->if_oerrors;
-		d->ifp->if_flags &= ~IFF_OACTIVE;
+		d->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 		d->ifp->if_timer = 0;
 #endif
 		cp_start (d);
@@ -1063,7 +1063,7 @@
 		error = suser (td);
 		if (error)
 			return error;
-		if (d->ifp->if_flags & IFF_RUNNING)
+		if (d->ifp->if_drv_flags & IFF_DRV_RUNNING)
 			return EBUSY;
 		if (! strcmp ("cisco", (char*)data)) {
 			IFP2SP(d->ifp)->pp_flags &= ~(PP_FR);
--- //depot/vendor/freebsd/src/sys/dev/cs/if_cs.c	2005/06/10 16:51:34
+++ //depot/projects/netsmp/src/sys/dev/cs/if_cs.c	2005/08/05 14:11:40
@@ -694,7 +694,7 @@
 	ifp = sc->ifp;
 
 	cs_stop(sc);
-	ifp->if_flags &= ~IFF_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 	ether_ifdetach(ifp);
 	if_free(ifp);
 	cs_release_resources(dev);
@@ -768,8 +768,8 @@
 	/*
 	 * Set running and clear output active flags
 	 */
-	sc->ifp->if_flags |= IFF_RUNNING;
-	sc->ifp->if_flags &= ~IFF_OACTIVE;
+	sc->ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	sc->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	/*
 	 * Start sending process
@@ -882,18 +882,18 @@
 				ifp->if_opackets++;
 			else
 				ifp->if_oerrors++;
-			ifp->if_flags &= ~IFF_OACTIVE;
+			ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 			ifp->if_timer = 0;
 			break;
 
 		case ISQ_BUFFER_EVENT:
 			if (status & READY_FOR_TX) {
-				ifp->if_flags &= ~IFF_OACTIVE;
+				ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 				ifp->if_timer = 0;
 			}
 
 			if (status & TX_UNDERRUN) {
-				ifp->if_flags &= ~IFF_OACTIVE;
+				ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 				ifp->if_timer = 0;
 				ifp->if_oerrors++;
 			}
@@ -909,7 +909,7 @@
 		}
 	}
 
-	if (!(ifp->if_flags & IFF_OACTIVE)) {
+	if (!(ifp->if_drv_flags & IFF_DRV_OACTIVE)) {
 		cs_start(ifp);
 	}
 }
@@ -1003,7 +1003,7 @@
 		if (!(cs_readreg(sc, PP_BusST) & READY_FOR_TX_NOW)) {
 			ifp->if_timer = sc->buf_len;
 			(void) splx(s);
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			return;
 		}
 
@@ -1017,7 +1017,7 @@
 		ifp->if_timer = length;
 
 		(void) splx(s);
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 		return;
 	}
 }
@@ -1035,7 +1035,7 @@
 	cs_writereg(sc, PP_BufCFG, 0);
 	cs_writereg(sc, PP_BusCTL, 0);
 
-	sc->ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	sc->ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 	sc->ifp->if_timer = 0;
 
 	(void) splx(s);
@@ -1112,11 +1112,11 @@
 		 * "stopped", reflecting the UP flag.
 		 */
 		if (sc->ifp->if_flags & IFF_UP) {
-			if ((sc->ifp->if_flags & IFF_RUNNING)==0) {
+			if ((sc->ifp->if_drv_flags & IFF_DRV_RUNNING)==0) {
 				cs_init(sc);
 			}
 		} else {
-			if ((sc->ifp->if_flags & IFF_RUNNING)!=0) {
+			if ((sc->ifp->if_drv_flags & IFF_DRV_RUNNING)!=0) {
 				cs_stop(sc);
 			}
 		}
--- //depot/vendor/freebsd/src/sys/dev/ctau/if_ct.c	2005/07/09 16:15:27
+++ //depot/projects/netsmp/src/sys/dev/ctau/if_ct.c	2005/08/05 14:11:40
@@ -935,7 +935,7 @@
 	bdrv_t *bd = d->bd;
 	int error, s, was_up, should_be_up;
 
-	was_up = (ifp->if_flags & IFF_RUNNING) != 0;
+	was_up = (ifp->if_drv_flags & IFF_DRV_RUNNING) != 0;
 	error = sppp_ioctl (ifp, cmd, data);
 	if (error)
 		return error;
@@ -956,7 +956,7 @@
 	/* We get here only in case of SIFFLAGS or SIFADDR. */
 	s = splimp ();
 	CT_LOCK (bd);
-	should_be_up = (ifp->if_flags & IFF_RUNNING) != 0;
+	should_be_up = (ifp->if_drv_flags & IFF_DRV_RUNNING) != 0;
 	if (! was_up && should_be_up) {
 		/* Interface goes up -- start it. */
 		ct_up (d);
@@ -1053,7 +1053,7 @@
 #endif
 	}
 #ifndef NETGRAPH
-	d->ifp->if_flags |= IFF_OACTIVE;
+	d->ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 #endif
 }
 
@@ -1113,7 +1113,7 @@
 	d->timeout = 0;
 #else
 	++d->ifp->if_opackets;
-	d->ifp->if_flags &= ~IFF_OACTIVE;
+	d->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	d->ifp->if_timer = 0;
 #endif
 	ct_start (d);
@@ -1199,7 +1199,7 @@
 		d->timeout = 0;
 #else
 		++d->ifp->if_oerrors;
-		d->ifp->if_flags &= ~IFF_OACTIVE;
+		d->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 		d->ifp->if_timer = 0;
 #endif
 		ct_start (d);
@@ -1294,7 +1294,7 @@
 		error = suser (td);
 		if (error)
 			return error;
-		if (d->ifp->if_flags & IFF_RUNNING)
+		if (d->ifp->if_drv_flags & IFF_DRV_RUNNING)
 			return EBUSY;
 		if (! strcmp ("cisco", (char*)data)) {
 			IFP2SP(d->ifp)->pp_flags &= ~(PP_FR);
--- //depot/vendor/freebsd/src/sys/dev/cx/if_cx.c	2005/07/09 16:15:27
+++ //depot/projects/netsmp/src/sys/dev/cx/if_cx.c	2005/08/05 14:11:40
@@ -1090,7 +1090,7 @@
 		return EBUSY;
 
 	/* Socket ioctls on slave subchannels are not allowed. */
-	was_up = (ifp->if_flags & IFF_RUNNING) != 0;
+	was_up = (ifp->if_drv_flags & IFF_DRV_RUNNING) != 0;
 	error = sppp_ioctl (ifp, cmd, data);
 	if (error)
 		return error;
@@ -1111,7 +1111,7 @@
 	/* We get here only in case of SIFFLAGS or SIFADDR. */
 	s = splhigh ();
 	CX_LOCK (bd);
-	should_be_up = (ifp->if_flags & IFF_RUNNING) != 0;
+	should_be_up = (ifp->if_drv_flags & IFF_DRV_RUNNING) != 0;
 	if (!was_up && should_be_up) {
 		/* Interface goes up -- start it. */
 		cx_up (d);
@@ -1207,7 +1207,7 @@
 #endif
 	}
 #ifndef NETGRAPH
-	d->ifp->if_flags |= IFF_OACTIVE;
+	d->ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 #endif
 }
 
@@ -1275,7 +1275,7 @@
 	d->timeout = 0;
 #else
 	++d->ifp->if_opackets;
-	d->ifp->if_flags &= ~IFF_OACTIVE;
+	d->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	d->ifp->if_timer = 0;
 #endif
 	cx_start (d);
@@ -1435,7 +1435,7 @@
 			d->timeout = 0;
 #else
 			++d->ifp->if_oerrors;
-			d->ifp->if_flags &= ~IFF_OACTIVE;
+			d->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 			d->ifp->if_timer = 0;
 			cx_start (d);
 #endif
@@ -1654,7 +1654,7 @@
 			return error;
 		if (c->mode == M_ASYNC)
 			return EBUSY;
-		if (d->ifp->if_flags & IFF_RUNNING)
+		if (d->ifp->if_drv_flags & IFF_DRV_RUNNING)
 			return EBUSY;
 		if (! strcmp ("cisco", (char*)data)) {
 			IFP2SP(d->ifp)->pp_flags &= ~(PP_FR);
--- //depot/vendor/freebsd/src/sys/dev/ed/if_ed.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/ed/if_ed.c	2005/08/05 14:11:40
@@ -353,7 +353,7 @@
 	if (sc->gone)
 		return (0);
 	ed_stop(sc);
-	ifp->if_flags &= ~IFF_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 	ether_ifdetach(ifp);
 	if_free(ifp);
 	sc->gone = 1;
@@ -595,8 +595,8 @@
 	/*
 	 * Set 'running' flag, and clear output active flag.
 	 */
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	/*
 	 * ...and attempt to start output
@@ -665,7 +665,7 @@
  *  1) that the current priority is set to splimp _before_ this code
  *     is called *and* is returned to the appropriate priority after
  *     return
- *  2) that the IFF_OACTIVE flag is checked before this code is called
+ *  2) that the IFF_DRV_OACTIVE flag is checked before this code is called
  *     (i.e. that the output part of the interface is idle)
  */
 static void
@@ -699,7 +699,7 @@
 		/*
 		 * No room. Indicate this to the outside world and exit.
 		 */
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 		return;
 	}
 	IFQ_DRV_DEQUEUE(&ifp->if_snd, m);
@@ -712,7 +712,7 @@
 		 * transmitter may be active, but if we haven't filled all the
 		 * buffers with data then we still want to accept more.
 		 */
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 		return;
 	}
 
@@ -1069,7 +1069,7 @@
 			 * reset tx busy and output active flags
 			 */
 			sc->xmit_busy = 0;
-			ifp->if_flags &= ~IFF_OACTIVE;
+			ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 			/*
 			 * clear watchdog timer
@@ -1180,7 +1180,7 @@
 		 * attempt to start output on the interface. This is done
 		 * after handling the receiver to give the receiver priority.
 		 */
-		if ((ifp->if_flags & IFF_OACTIVE) == 0)
+		if ((ifp->if_drv_flags & IFF_DRV_OACTIVE) == 0)
 			ed_start(ifp);
 
 		/*
@@ -1218,7 +1218,7 @@
 	int     s, error = 0;
 
 	if (sc == NULL || sc->gone) {
-		ifp->if_flags &= ~IFF_RUNNING;
+		ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 		return ENXIO;
 	}
 	s = splimp();
@@ -1231,12 +1231,12 @@
 		 * If it is marked down and running, then stop it.
 		 */
 		if (ifp->if_flags & IFF_UP) {
-			if ((ifp->if_flags & IFF_RUNNING) == 0)
+			if ((ifp->if_drv_flags & IFF_DRV_RUNNING) == 0)
 				ed_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING) {
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 				ed_stop(sc);
-				ifp->if_flags &= ~IFF_RUNNING;
+				ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 			}
 		}
 
--- //depot/vendor/freebsd/src/sys/dev/em/if_em.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/em/if_em.c	2005/08/05 14:11:40
@@ -562,7 +562,7 @@
 
 	EM_LOCK_DESTROY(adapter);
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 	ifp->if_timer = 0;
 
 	return(0);
@@ -619,7 +619,7 @@
 		if (em_encap(adapter, &m_head)) { 
 			if (m_head == NULL)
 				break;
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			IFQ_DRV_PREPEND(&ifp->if_snd, m_head);
 			break;
                 }
@@ -693,14 +693,14 @@
 		IOCTL_DEBUGOUT("ioctl rcv'd: SIOCSIFFLAGS (Set Interface Flags)");
 		EM_LOCK(adapter);
 		if (ifp->if_flags & IFF_UP) {
-			if (!(ifp->if_flags & IFF_RUNNING)) {
+			if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 				em_init_locked(adapter);
 			}
 
 			em_disable_promisc(adapter);
 			em_set_promisc(adapter);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING) {
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 				em_stop(adapter);
 			}
 		}
@@ -709,7 +709,7 @@
 	case SIOCADDMULTI:
 	case SIOCDELMULTI:
 		IOCTL_DEBUGOUT("ioctl rcv'd: SIOC(ADD|DEL)MULTI");
-		if (ifp->if_flags & IFF_RUNNING) {
+		if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 			EM_LOCK(adapter);
 			em_disable_intr(adapter);
 			em_set_multi(adapter);
@@ -742,7 +742,7 @@
 			ifp->if_capenable ^= IFCAP_VLAN_HWTAGGING;
 			reinit = 1;
 		}
-		if (reinit && (ifp->if_flags & IFF_RUNNING))
+		if (reinit && (ifp->if_drv_flags & IFF_DRV_RUNNING))
 			em_init(adapter);
 		break;
 	default:
@@ -777,7 +777,7 @@
 	if (em_check_for_link(&adapter->hw))
 		printf("em%d: watchdog timeout -- resetting\n", adapter->unit);
 
-	ifp->if_flags &= ~IFF_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 
 	em_init(adapter);
 
@@ -878,8 +878,8 @@
 	/* Don't loose promiscuous settings */
 	em_set_promisc(adapter);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	if (adapter->hw.mac_type >= em_82543) {
 		if (ifp->if_capenable & IFCAP_TXCSUM)
@@ -948,12 +948,13 @@
 			callout_reset(&adapter->timer, hz, em_local_timer, adapter);
                 }
         }
-        if (ifp->if_flags & IFF_RUNNING) {
+        if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
                 em_process_receive_interrupts(adapter, count);
                 em_clean_transmit_interrupts(adapter);
         }
 	
-        if (ifp->if_flags & IFF_RUNNING && !IFQ_DRV_IS_EMPTY(&ifp->if_snd))
+        if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
+	    !IFQ_DRV_IS_EMPTY(&ifp->if_snd))
                 em_start_locked(ifp);
 }
         
@@ -1016,14 +1017,15 @@
         }
 
         while (loop_cnt > 0) { 
-                if (ifp->if_flags & IFF_RUNNING) {
+                if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
                         em_process_receive_interrupts(adapter, -1);
                         em_clean_transmit_interrupts(adapter);
                 }
                 loop_cnt--;
         }
                  
-        if (ifp->if_flags & IFF_RUNNING && !IFQ_DRV_IS_EMPTY(&ifp->if_snd))
+        if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
+	    !IFQ_DRV_IS_EMPTY(&ifp->if_snd))
                 em_start_locked(ifp);
 
 	EM_UNLOCK(adapter);
@@ -1654,7 +1656,7 @@
 	em_check_for_link(&adapter->hw);
 	em_print_link_status(adapter);
 	em_update_stats_counters(adapter);   
-	if (em_display_debug_stats && ifp->if_flags & IFF_RUNNING) {
+	if (em_display_debug_stats && ifp->if_drv_flags & IFF_DRV_RUNNING) {
 		em_print_hw_stats(adapter);
 	}
 	em_smartspeed(adapter);
@@ -1728,7 +1730,7 @@
 
 
 	/* Tell the stack that the interface is no longer active */
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 
 	return;
 }
@@ -2471,13 +2473,13 @@
         adapter->oldest_used_tx_desc = i;
 
         /*
-         * If we have enough room, clear IFF_OACTIVE to tell the stack
+         * If we have enough room, clear IFF_DRV_OACTIVE to tell the stack
          * that it is OK to send packets.
          * If there are no pending descriptors, clear the timeout. Otherwise,
          * if some descriptors have been freed, restart the timeout.
          */
         if (num_avail > EM_TX_CLEANUP_THRESHOLD) {                
-                ifp->if_flags &= ~IFF_OACTIVE;
+                ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
                 if (num_avail == adapter->num_tx_desc)
                         ifp->if_timer = 0;
                 else if (num_avail == adapter->num_tx_desc_avail)
--- //depot/vendor/freebsd/src/sys/dev/en/if_en_pci.c	2005/06/10 16:51:34
+++ //depot/projects/netsmp/src/sys/dev/en/if_en_pci.c	2005/08/05 14:11:40
@@ -304,9 +304,9 @@
 	/*
 	 * Stop DMA and drop transmit queue.
 	 */
-	if ((sc->ifp->if_flags & IFF_RUNNING)) {
+	if ((sc->ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		if_printf(sc->ifp, "still running\n");
-		sc->ifp->if_flags &= ~IFF_RUNNING;
+		sc->ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 	}
 
 	/*
--- //depot/vendor/freebsd/src/sys/dev/en/midway.c	2005/06/10 16:51:34
+++ //depot/projects/netsmp/src/sys/dev/en/midway.c	2005/08/05 14:11:40
@@ -1043,7 +1043,7 @@
 			continue;
 		}
 
-		if ((ifp->if_flags & IFF_RUNNING) == 0) {
+		if ((ifp->if_drv_flags & IFF_DRV_RUNNING) == 0) {
 			EN_UNLOCK(sc);
 			uma_zfree(sc->map_zone, map);
 			m_freem(m);
@@ -1314,12 +1314,12 @@
 		goto done;
 
 	vc->vflags |= VCC_CLOSE_RX;
-	while ((sc->ifp->if_flags & IFF_RUNNING) &&
+	while ((sc->ifp->if_drv_flags & IFF_DRV_RUNNING) &&
 	    (vc->vflags & VCC_DRAIN))
 		cv_wait(&sc->cv_close, &sc->en_mtx);
 
 	en_close_finish(sc, vc);
-	if (!(sc->ifp->if_flags & IFF_RUNNING)) {
+	if (!(sc->ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		error = EIO;
 		goto done;
 	}
@@ -1350,7 +1350,7 @@
 	int lcv;
 
 	if_printf(sc->ifp, "reset\n");
-	sc->ifp->if_flags &= ~IFF_RUNNING;
+	sc->ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 
 	if (sc->en_busreset)
 		sc->en_busreset(sc);
@@ -1446,7 +1446,7 @@
 	}
 
 	DBG(sc, INIT, ("going up"));
-	sc->ifp->if_flags |= IFF_RUNNING;	/* enable */
+	sc->ifp->if_drv_flags |= IFF_DRV_RUNNING;	/* enable */
 
 	if (sc->en_busreset)
 		sc->en_busreset(sc);
@@ -1550,7 +1550,7 @@
 #if defined(INET) || defined(INET6)
 		if (ifa->ifa_addr->sa_family == AF_INET
 		    || ifa->ifa_addr->sa_family == AF_INET6) {
-			if (!(ifp->if_flags & IFF_RUNNING)) {
+			if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 				en_reset_ul(sc);
 				en_init(sc);
 			}
@@ -1559,7 +1559,7 @@
 			break;
 		}
 #endif /* INET */
-		if (!(ifp->if_flags & IFF_RUNNING)) {
+		if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 			en_reset_ul(sc);
 			en_init(sc);
 		}
@@ -1569,10 +1569,10 @@
 	case SIOCSIFFLAGS: 
 		EN_LOCK(sc);
 		if (ifp->if_flags & IFF_UP) {
-			if (!(ifp->if_flags & IFF_RUNNING))
+			if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 				en_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				en_reset_ul(sc);
 		}
 		EN_UNLOCK(sc);
@@ -2434,7 +2434,7 @@
 		    "resetting\n", reg, MID_INTBITS);
 #ifdef EN_DEBUG
 		kdb_enter("en: unexpected error");
-		sc->ifp->if_flags &= ~IFF_RUNNING; /* FREEZE! */
+		sc->ifp->if_drv_flags &= ~IFF_DRV_RUNNING; /* FREEZE! */
 #else
 		en_reset_ul(sc);
 		en_init(sc);
--- //depot/vendor/freebsd/src/sys/dev/ep/if_ep.c	2005/07/31 03:35:21
+++ //depot/projects/netsmp/src/sys/dev/ep/if_ep.c	2005/08/05 14:11:40
@@ -358,7 +358,7 @@
 	if (bus_child_present(dev))
 		epstop(sc);
 
-	ifp->if_flags &= ~IFF_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 	ether_ifdetach(ifp);
 	if_free(ifp);
 
@@ -438,8 +438,8 @@
 	CSR_WRITE_2(sc, EP_COMMAND, RX_ENABLE);
 	CSR_WRITE_2(sc, EP_COMMAND, TX_ENABLE);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;	/* just in case */
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;	/* just in case */
 
 #ifdef EP_LOCAL_STATS
 	sc->rx_no_first = sc->rx_no_mbuf =
@@ -480,7 +480,7 @@
 		return;
 	EP_ASSERT_LOCKED(sc);
 	EP_BUSY_WAIT(sc);
-	if (ifp->if_flags & IFF_OACTIVE)
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE)
 		return;
 startagain:
 	/* Sneak a peek at the next packet */
@@ -508,7 +508,7 @@
 		CSR_WRITE_2(sc, EP_COMMAND, SET_TX_AVAIL_THRESH | (len + pad + 4));
 		/* make sure */
 		if (CSR_READ_2(sc, EP_W1_FREE_TX) < len + pad + 4) {
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			IF_PREPEND(&ifp->if_snd, m0);
 			goto done;
 		}
@@ -607,7 +607,7 @@
 		if (status & S_TX_AVAIL) {
 			/* we need ACK */
 			ifp->if_timer = 0;
-			ifp->if_flags &= ~IFF_OACTIVE;
+			ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 			GO_WINDOW(sc, 1);
 			CSR_READ_2(sc, EP_W1_FREE_TX);
 			epstart_locked(ifp);
@@ -681,7 +681,7 @@
 				/* pops up the next status */
 				CSR_WRITE_1(sc, EP_W1_TX_STATUS, 0x0);
 			}	/* while */
-			ifp->if_flags &= ~IFF_OACTIVE;
+			ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 			GO_WINDOW(sc, 1);
 			CSR_READ_2(sc, EP_W1_FREE_TX);
 			epstart_locked(ifp);
@@ -910,8 +910,8 @@
 	case SIOCSIFFLAGS:
 		EP_LOCK(sc);
 		if (((ifp->if_flags & IFF_UP) == 0) &&
-		    (ifp->if_flags & IFF_RUNNING)) {
-			ifp->if_flags &= ~IFF_RUNNING;
+		    (ifp->if_drv_flags & IFF_DRV_RUNNING)) {
+			ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 			epstop(sc);
 		} else
 			/* reinitialize card on any parameter change */
@@ -956,7 +956,7 @@
 
 	if (sc->gone)
 		return;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	epstart(ifp);
 	ep_intr(ifp->if_softc);
 }
--- //depot/vendor/freebsd/src/sys/dev/ex/if_ex.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/ex/if_ex.c	2005/08/05 14:11:40
@@ -274,7 +274,7 @@
 
         ex_stop(sc);
 
-        ifp->if_flags &= ~IFF_RUNNING;
+        ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 	ether_ifdetach(ifp);
 	if_free(ifp);
 
@@ -354,8 +354,8 @@
 	CSR_WRITE_2(sc, XMT_BAR, sc->tx_lower_limit);
 	sc->tx_head = sc->tx_tail = sc->tx_lower_limit;
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	DODEBUG(Status, printf("OIDLE init\n"););
 	
 	ex_setmulti(sc);
@@ -392,7 +392,7 @@
 	 * more packets left, or the card cannot accept any more yet.
 	 */
 	while (((opkt = ifp->if_snd.ifq_head) != NULL) &&
-	       !(ifp->if_flags & IFF_OACTIVE)) {
+	       !(ifp->if_drv_flags & IFF_DRV_OACTIVE)) {
 
 		/*
 		 * Ensure there is enough free transmit buffer space for
@@ -538,7 +538,7 @@
 			ifp->if_opackets++;
 			m_freem(opkt);
 		} else {
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			DODEBUG(Status, printf("OACTIVE start\n"););
 		}
 	}
@@ -656,7 +656,7 @@
 	 * The card should be ready to accept more packets now.
 	 */
 
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	DODEBUG(Status, printf("OIDLE tx_intr\n"););
 	DODEBUG(Start_End, printf("ex_tx_intr%d: finish\n", unit););
@@ -792,9 +792,9 @@
 		case SIOCSIFFLAGS:
 			DODEBUG(Start_End, printf("SIOCSIFFLAGS"););
 			if ((ifp->if_flags & IFF_UP) == 0 &&
-			    (ifp->if_flags & IFF_RUNNING)) {
+			    (ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 
-				ifp->if_flags &= ~IFF_RUNNING;
+				ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 				ex_stop(sc);
 			} else {
       				ex_init(sc);
@@ -951,7 +951,7 @@
 
 	DODEBUG(Start_End, printf("%s: ex_watchdog: start\n", ifp->if_xname););
 
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	DODEBUG(Status, printf("OIDLE watchdog\n"););
 
--- //depot/vendor/freebsd/src/sys/dev/fatm/if_fatm.c	2005/07/01 10:45:26
+++ //depot/projects/netsmp/src/sys/dev/fatm/if_fatm.c	2005/08/05 14:11:40
@@ -171,7 +171,7 @@
 
 	sc = ifatm->ifp->if_softc;
 	FATM_CHECKLOCK(sc);
-	if (!(ifatm->ifp->if_flags & IFF_RUNNING))
+	if (!(ifatm->ifp->if_drv_flags & IFF_DRV_RUNNING))
 		return (EIO);
 
 	/* get queue element and fill it */
@@ -254,7 +254,7 @@
 
 	/* get the buffer */
 	for (;;) {
-		if (!(sc->ifp->if_flags & IFF_RUNNING))
+		if (!(sc->ifp->if_drv_flags & IFF_DRV_RUNNING))
 			return (EIO);
 		if (!(sc->flags & FATM_REGS_INUSE))
 			break;
@@ -396,7 +396,7 @@
 	struct fatm_softc *sc = ifp->if_softc;
 
 	FATM_LOCK(sc);
-	if (ifp->if_flags & IFF_RUNNING) {
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 		fatm_check_heartbeat(sc);
 		ifp->if_timer = 5;
 	}
@@ -476,8 +476,8 @@
 	/* stop watchdog */
 	sc->ifp->if_timer = 0;
 
-	if (sc->ifp->if_flags & IFF_RUNNING) {
-		sc->ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	if (sc->ifp->if_drv_flags & IFF_DRV_RUNNING) {
+		sc->ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 		ATMEV_SEND_IFSTATE_CHANGED(IFP2IFATM(sc->ifp),
 		    sc->utopia.carrier == UTP_CARR_OK);
 
@@ -1260,7 +1260,7 @@
 	uint32_t start;
 
 	DBG(sc, INIT, ("initialize"));
-	if (sc->ifp->if_flags & IFF_RUNNING)
+	if (sc->ifp->if_drv_flags & IFF_DRV_RUNNING)
 		fatm_stop(sc);
 
 	/*
@@ -1336,7 +1336,7 @@
 	/*
 	 * Now set flags, that we are ready
 	 */
-	sc->ifp->if_flags |= IFF_RUNNING;
+	sc->ifp->if_drv_flags |= IFF_DRV_RUNNING;
 
 	/*
 	 * Start the watchdog timer
@@ -1635,7 +1635,7 @@
 	}
 	WRITE4(sc, FATMO_HCR, FATM_HCR_CLRIRQ);
 
-	if (!(sc->ifp->if_flags & IFF_RUNNING)) {
+	if (!(sc->ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		FATM_UNLOCK(sc);
 		return;
 	}
@@ -1690,7 +1690,7 @@
 	 * statistics buffer
 	 */
 	for (;;) {
-		if (!(sc->ifp->if_flags & IFF_RUNNING))
+		if (!(sc->ifp->if_drv_flags & IFF_DRV_RUNNING))
 			return (EIO);
 		if (!(sc->flags & FATM_STAT_INUSE))
 			break;
@@ -2096,7 +2096,7 @@
 		 * From here on we need the softc
 		 */
 		FATM_LOCK(sc);
-		if (!(ifp->if_flags & IFF_RUNNING)) {
+		if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 			FATM_UNLOCK(sc);
 			m_freem(m);
 			break;
@@ -2264,7 +2264,7 @@
 	error = 0;
 
 	FATM_LOCK(sc);
-	if (!(sc->ifp->if_flags & IFF_RUNNING)) {
+	if (!(sc->ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		error = EIO;
 		goto done;
 	}
@@ -2404,7 +2404,7 @@
 	error = 0;
 
 	FATM_LOCK(sc);
-	if (!(sc->ifp->if_flags & IFF_RUNNING)) {
+	if (!(sc->ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		error = EIO;
 		goto done;
 	}
@@ -2467,7 +2467,7 @@
 	  case SIOCSIFADDR:
 		FATM_LOCK(sc);
 		ifp->if_flags |= IFF_UP;
-		if (!(ifp->if_flags & IFF_RUNNING))
+		if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 			fatm_init_locked(sc);
 		switch (ifa->ifa_addr->sa_family) {
 #ifdef INET
@@ -2485,11 +2485,11 @@
 	  case SIOCSIFFLAGS:
 		FATM_LOCK(sc);
 		if (ifp->if_flags & IFF_UP) {
-			if (!(ifp->if_flags & IFF_RUNNING)) {
+			if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 				fatm_init_locked(sc);
 			}
 		} else {
-			if (ifp->if_flags & IFF_RUNNING) {
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 				fatm_stop(sc);
 			}
 		}
@@ -2498,7 +2498,7 @@
 
 	  case SIOCGIFMEDIA:
 	  case SIOCSIFMEDIA:
-		if (ifp->if_flags & IFF_RUNNING)
+		if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 			error = ifmedia_ioctl(ifp, ifr, &sc->media, cmd);
 		else
 			error = EINVAL;
--- //depot/vendor/freebsd/src/sys/dev/fe/if_fe.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/fe/if_fe.c	2005/08/05 14:11:40
@@ -976,7 +976,7 @@
 	DELAY(200);
 
 	/* Reset transmitter variables and interface flags.  */
-	sc->ifp->if_flags &= ~(IFF_OACTIVE | IFF_RUNNING);
+	sc->ifp->if_drv_flags &= ~(IFF_DRV_OACTIVE | IFF_DRV_RUNNING);
 	sc->ifp->if_timer = 0;
 	sc->txb_free = sc->txb_size;
 	sc->txb_count = 0;
@@ -1110,7 +1110,7 @@
 #endif
 
 	/* Set 'running' flag, because we are now running.   */
-	sc->ifp->if_flags |= IFF_RUNNING;
+	sc->ifp->if_drv_flags |= IFF_DRV_RUNNING;
 
 	/*
 	 * At this point, the interface is running properly,
@@ -1162,7 +1162,7 @@
  *  1) that the current priority is set to splimp _before_ this code
  *     is called *and* is returned to the appropriate priority after
  *     return
- *  2) that the IFF_OACTIVE flag is checked before this code is called
+ *  2) that the IFF_DRV_OACTIVE flag is checked before this code is called
  *     (i.e. that the output part of the interface is idle)
  */
 static void
@@ -1300,7 +1300,7 @@
 	 * filled all the buffers with data then we still
 	 * want to accept more.
 	 */
-	sc->ifp->if_flags &= ~IFF_OACTIVE;
+	sc->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	return;
 
   indicate_active:
@@ -1308,7 +1308,7 @@
 	 * The transmitter is active, and there are no room for
 	 * more outgoing packets in the transmission buffer.
 	 */
-	sc->ifp->if_flags |= IFF_OACTIVE;
+	sc->ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 	return;
 }
 
@@ -1532,7 +1532,7 @@
 		 * The transmitter is no more active.
 		 * Reset output active flag and watchdog timer.
 		 */
-		sc->ifp->if_flags &= ~IFF_OACTIVE;
+		sc->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 		sc->ifp->if_timer = 0;
 
 		/*
@@ -1723,7 +1723,7 @@
 		if (sc->filter_change &&
 		    sc->txb_count == 0 && sc->txb_sched == 0) {
 			fe_loadmar(sc);
-			sc->ifp->if_flags &= ~IFF_OACTIVE;
+			sc->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 		}
 
 		/*
@@ -1739,7 +1739,7 @@
 		 * receiver interrupts.  86960 can raise a receiver
 		 * interrupt when the transmission buffer is full.
 		 */
-		if ((sc->ifp->if_flags & IFF_OACTIVE) == 0)
+		if ((sc->ifp->if_drv_flags & IFF_DRV_OACTIVE) == 0)
 			fe_start(sc->ifp);
 	}
 
@@ -1767,10 +1767,10 @@
 		 * "stopped", reflecting the UP flag.
 		 */
 		if (sc->ifp->if_flags & IFF_UP) {
-			if ((sc->ifp->if_flags & IFF_RUNNING) == 0)
+			if ((sc->ifp->if_drv_flags & IFF_DRV_RUNNING) == 0)
 				fe_init(sc);
 		} else {
-			if ((sc->ifp->if_flags & IFF_RUNNING) != 0)
+			if ((sc->ifp->if_drv_flags & IFF_DRV_RUNNING) != 0)
 				fe_stop(sc);
 		}
 
@@ -2084,7 +2084,6 @@
 static void
 fe_setmode (struct fe_softc *sc)
 {
-	int flags = sc->ifp->if_flags;
 
 	/*
 	 * If the interface is not running, we postpone the update
@@ -2096,13 +2095,13 @@
 	 * To complete the trick, fe_init() calls fe_setmode() after
 	 * restarting the interface.
 	 */
-	if (!(flags & IFF_RUNNING))
+	if (!(sc->ifp->if_drv_flags & IFF_DRV_RUNNING))
 		return;
 
 	/*
 	 * Promiscuous mode is handled separately.
 	 */
-	if (flags & IFF_PROMISC) {
+	if (sc->ifp->if_flags & IFF_PROMISC) {
 		/*
 		 * Program 86960 to receive all packets on the segment
 		 * including those directed to other stations.
@@ -2128,7 +2127,7 @@
 	/*
 	 * Find the new multicast filter value.
 	 */
-	if (flags & IFF_ALLMULTI)
+	if (sc->ifp->if_flags & IFF_ALLMULTI)
 		sc->filter = fe_filter_all;
 	else
 		sc->filter = fe_mcaf(sc);
--- //depot/vendor/freebsd/src/sys/dev/firewire/if_fwe.c	2005/06/10 16:51:34
+++ //depot/projects/netsmp/src/sys/dev/firewire/if_fwe.c	2005/08/05 14:11:40
@@ -289,7 +289,7 @@
 		fwe->dma_ch = -1;
 	}
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 }
 
 static int
@@ -404,8 +404,8 @@
 	if ((xferq->flag & FWXFERQ_RUNNING) == 0)
 		fc->irx_enable(fc, fwe->dma_ch);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	FWE_POLL_REGISTER(fwe_poll, fwe, ifp);
 #if 0
@@ -426,10 +426,10 @@
 		case SIOCSIFFLAGS:
 			s = splimp();
 			if (ifp->if_flags & IFF_UP) {
-				if (!(ifp->if_flags & IFF_RUNNING))
+				if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 					fwe_init(&fwe->eth_softc);
 			} else {
-				if (ifp->if_flags & IFF_RUNNING)
+				if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 					fwe_stop(fwe);
 			}
 			/* XXX keep promiscoud mode */
@@ -525,12 +525,12 @@
 	}
 
 	s = splimp();
-	ifp->if_flags |= IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 
 	if (ifp->if_snd.ifq_len != 0)
 		fwe_as_output(fwe, ifp);
 
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	splx(s);
 }
 
--- //depot/vendor/freebsd/src/sys/dev/firewire/if_fwip.c	2005/06/10 16:51:34
+++ //depot/projects/netsmp/src/sys/dev/firewire/if_fwip.c	2005/08/05 14:11:40
@@ -269,7 +269,7 @@
 		fwip->dma_ch = -1;
 	}
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 }
 
 static int
@@ -397,8 +397,8 @@
 	if ((xferq->flag & FWXFERQ_RUNNING) == 0)
 		fc->irx_enable(fc, fwip->dma_ch);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	FWIP_POLL_REGISTER(fwip_poll, fwip, ifp);
 #if 0
@@ -417,10 +417,10 @@
 	case SIOCSIFFLAGS:
 		s = splimp();
 		if (ifp->if_flags & IFF_UP) {
-			if (!(ifp->if_flags & IFF_RUNNING))
+			if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 				fwip_init(&fwip->fw_softc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				fwip_stop(fwip);
 		}
 		splx(s);
@@ -536,12 +536,12 @@
 	}
 
 	s = splimp();
-	ifp->if_flags |= IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 
 	if (ifp->if_snd.ifq_len != 0)
 		fwip_async_output(fwip, ifp);
 
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	splx(s);
 }
 
--- //depot/vendor/freebsd/src/sys/dev/fxp/if_fxp.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/fxp/if_fxp.c	2005/08/05 14:11:40
@@ -1855,7 +1855,7 @@
 	struct fxp_tx *txp;
 	int i;
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 	ifp->if_timer = 0;
 
 #ifdef DEVICE_POLLING
@@ -2174,8 +2174,8 @@
 	if (sc->miibus != NULL)
 		mii_mediachg(device_get_softc(sc->miibus));
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	/*
 	 * Enable interrupts.
@@ -2405,7 +2405,7 @@
 		if (ifp->if_flags & IFF_UP) {
 			fxp_init_body(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				fxp_stop(sc);
 		}
 		break;
